Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234860 (perl-Mail-IMAPClient) - Review Request: perl-Mail-IMAPClient - An IMAP Client API
Summary: Review Request: perl-Mail-IMAPClient - An IMAP Client API
Keywords:
Status: CLOSED NEXTRELEASE
Alias: perl-Mail-IMAPClient
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: perl-Mail-Box
TreeView+ depends on / blocked
 
Reported: 2007-04-02 17:03 UTC by Tom "spot" Callaway
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-13 19:48:29 UTC
panemade: fedora-review+
jwboyer: fedora-cvs+


Attachments (Terms of Use)

Description Tom "spot" Callaway 2007-04-02 17:03:31 UTC
Spec URL: http://www.auroralinux.org/people/spot/review/perl-Mail-IMAPClient.spec
SRPM URL: http://www.auroralinux.org/people/spot/review/perl-Mail-IMAPClient-2.2.9-1.src.rpm
Description: 
This module provides perl routines that simplify a sockets connection
to and an IMAP conversation with an IMAP server.

Comment 1 Parag AN(पराग) 2007-04-03 11:11:38 UTC
Found no %doc with inclusion of docs and examples directory.

Comment 3 Parag AN(पराग) 2007-04-05 04:10:43 UTC
Add following lines to SPEC to silent rpmlint Warning spurious-executable-perm
and Errors invalid-dependency and wrong-script-interpreter.

find examples -type f -exec chmod -x {} 2>/dev/null ';'
find examples -type f -exec sed -i 's#/usr/local/bin/perl#/usr/bin/perl#' {}
2>/dev/null ';'


Comment 5 Parag AN(पराग) 2007-04-10 10:09:19 UTC
Can you submit a new package that handles rpmlint warnings for this review ?

Comment 6 Tom "spot" Callaway 2007-04-10 13:29:11 UTC
Heh. It helps if I link to the right package:

New SRPM:
http://www.auroralinux.org/people/spot/review/perl-Mail-IMAPClient-2.2.9-3.fc7.src.rpm
New SPEC:
http://www.auroralinux.org/people/spot/review/perl-Mail-IMAPClient.spec

Comment 7 Parag AN(पराग) 2007-04-11 03:50:00 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
21c1901d55a2d57f73840cad478c665d  Mail-IMAPClient-2.2.9.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test is successful.
+ Provides: perl(Mail::IMAPClient) perl(Mail::IMAPClient::BodyStructure)
perl(Mail::IMAPClient::BodyStructure::Address)
perl(Mail::IMAPClient::BodyStructure::Envelope)
perl(Mail::IMAPClient::BodyStructure::Parse)
perl(Mail::IMAPClient::BodyStructure::Part) perl(Mail::IMAPClient::MessageSet)
perl(Mail::IMAPClient::Thread)
perl(Parse::RecDescent::Mail::IMAPClient::BodyStructure::Parse)
perl(Parse::RecDescent::Mail::IMAPClient::Thread)

APPROVED.


Comment 8 Tom "spot" Callaway 2007-04-11 14:17:35 UTC
New Package CVS Request
=======================
Package Name: perl-Mail-IMAPClient
Short Description: An IMAP Client API
Owners: tcallawa@redhat.com
Branches: FC-5 FC-6
InitialCC: fedora-perl-devel-list@redhat.com

Comment 9 Tom "spot" Callaway 2007-04-13 19:48:29 UTC
Built.


Note You need to log in before you can comment on or make changes to this bug.